Opera Gentoo Flash Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported (solución)

Bien, una de las cosas que siempre me había dado rabia al probar cualquier versión de Opera y es que no me iba el Flash en Gentoo, a pesar de que Opera tiene un buen suporte para html5, Flash por desgracia de todos sigue siendo necesario bajo ciertas circunstancia (especialmente de ocio).

El problema es que en Gentoo en la versión i386 da problemas tener Opera + Flash (no funciona y hace segfault) a la vez, hasta que se le aplica un apaño en caso de que no nos funcione el Flash.

$ opera
Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported

Solución, eliminar qt4 en cairo si no utilizamos esta librería y recompilar cairo.

# USE="-qt4" emerge -1 x11-libs/cairo

Con este procedimiento, desapareció el error de Gtk y Flash funciona correctamente.

Si ha funcionado, poner los cambios en /etc/portage/package.use para que sean permanentes en el siguiente upgrade.

Deja un comentario

Tu dirección de correo electrónico no será publicada.